#pragma once

#include "..\..\DuiLib\UIlib.h"

using namespace DuiLib;

class CSettingAutoTextPopup : public WindowImplBase
{
    DUI_DECLARE_MESSAGE_MAP()
    DUI_DECLARE_CUSTOM_MSG_MAP()
public: 
	CSettingAutoTextPopup();
	~CSettingAutoTextPopup();

	LPCTSTR GetWindowClassName() const;
	void InitWindow();
	void OnPrepare(TNotifyUI& msg);
	void OnOkButtonClick(TNotifyUI& msg);
	void OnSettingClose(TNotifyUI& msg);
	void OnRichEditSetFocus(TNotifyUI& msg);
	void OnRichEditKillFocus(TNotifyUI& msg);
	
	virtual CDuiString GetSkinFile();
	virtual CDuiString GetSkinFolder();
	CString& GetRicheditText();
	void SetRicheditText(CString &strText);
	LRESULT OnKeyDown(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
	LRESULT OnLButtonDown(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);
	LRESULT OnClose(UINT uMsg, WPARAM wParam, LPARAM lParam, BOOL& bHandled);

private:
	CString		m_strRichEditText;
	CRichEditUI		*m_pRichEdit;
};
